package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UpgradeRes
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpgradeRes   {
  @JsonProperty("finished")
  private Boolean finished;

  @JsonProperty("unfinishedCount")
  private Integer unfinishedCount;

  public UpgradeRes finished(Boolean finished) {
    this.finished = finished;
    return this;
  }

  /**
   * Whether the task is complete
   * @return finished
  */
  @ApiModelProperty(value = "Whether the task is complete")


  public Boolean getFinished() {
    return finished;
  }

  public void setFinished(Boolean finished) {
    this.finished = finished;
  }

  public UpgradeRes unfinishedCount(Integer unfinishedCount) {
    this.unfinishedCount = unfinishedCount;
    return this;
  }

  /**
   * Total number of devices that have not been upgraded
   * @return unfinishedCount
  */
  @ApiModelProperty(value = "Total number of devices that have not been upgraded")


  public Integer getUnfinishedCount() {
    return unfinishedCount;
  }

  public void setUnfinishedCount(Integer unfinishedCount) {
    this.unfinishedCount = unfinishedCount;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpgradeRes upgradeRes = (UpgradeRes) o;
    return Objects.equals(this.finished, upgradeRes.finished) &&
        Objects.equals(this.unfinishedCount, upgradeRes.unfinishedCount);
  }

  @Override
  public int hashCode() {
    return Objects.hash(finished, unfinishedCount);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpgradeRes {\n");
    
    sb.append("    finished: ").append(toIndentedString(finished)).append("\n");
    sb.append("    unfinishedCount: ").append(toIndentedString(unfinishedCount)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

